# MergePullRequestOption

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**r#do** | **String** |  | 
**merge_commit_id** | Option<**String**> |  | [optional]
**merge_message_field** | Option<**String**> |  | [optional]
**merge_title_field** | Option<**String**> |  | [optional]
**delete_branch_after_merge** | Option<**bool**> |  | [optional]
**force_merge** | Option<**bool**> |  | [optional]
**head_commit_id** | Option<**String**> |  | [optional]
**merge_when_checks_succeed** | Option<**bool**> |  | [optional]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


